import { HtmlTextParser } from './../ctrls/HtmlTextParser';
import Panel from "../views/Panel";
import { NetManager } from "../../libs/tw/manager/NetManager";
import { DataManager } from "../../libs/tw/manager/DataManager";


const indexs = {
    1: 1,

}
const resources = [
    "wenhuazhongxin_png",
    "huqiuta_png",
    "tianpingshan_png",
    "hanshansi_png",
    "zhuozhengyuan_png",
    "tongdeli_png",
    "bowuguan_png",
]
const spotNames = [
    "东莞可园",
    "惠州罗浮山",
    "孙中山故里",
    "江门赤坎古镇",
    "汕头南澳岛",
    "珠海港珠澳大桥",
    "广州小蛮腰"
]

const intros = [
    '东莞可园，是岭南园林的代表，与清晖园、余荫山房、梁园合称清代“岭南四大园林”。东莞可园以“小巧玲珑、设计精巧”著称，将住宅、庭院、书斋等艺术地揉合在一起。在三亩三土地上，亭台楼阁，山水桥榭，厅堂轩院一应俱全。园林布局高低错落，曲折回环，空处有景，疏处不虚，是岭南园林之珍品。',
    '罗浮山是国家级风景名胜区和国家AAAAA级旅游景区，它雄峙于岭南中南部，坐临南海大亚湾，毗邻惠州西湖。罗浮山素有百粤群山之祖、蓬莱仙境之称，这块难得的“风水宝地”是休闲度假、养生健体、消灾纳福、商务洽谈、赏景会友的绝佳胜地。',
    '孙中山故里旅游区，国家AAAAA级旅游景区。位于广东省中山市南朗镇翠亨村，东临珠江口，西靠五桂山，毗邻港澳，隔珠江口与深圳、香港相望。旅游区涵括孙中山故居纪念馆、翠亨村、中山城、辛亥革命纪念公园和犁头尖山五个核心景区，呈现了孙中山从出生成长到进行革命活动的相关历史遗迹。',
    '赤坎古镇位于广东省珠江三角洲西南部经济开发区内，开平市中部的潭江之滨，毗邻市区三埠。赤坎沿潭江而建，南岸是乡村，北岸则是城市，清一色的骑楼，远比开平老街庞大的洋楼群。赤坎镇有一番中西合璧的古朴味道。因此有“中国第五名古镇”之称。赤坎镇先后被评为中国历史文化名镇、全国重点镇、广东省中心镇、广东省教育强镇、江门市十大特色镇街。',
    '南澳岛是中国广东省唯一的海岛县，总面积113.8平方公里, 由南澳岛及周边37个岛屿组成，其中主岛111.44平方公里，海域4600平方公里。岛上设后宅、云澳、深澳三个镇和青澳旅游度假区、南澳海岛国家森林公园两个管委会。南澳岛是广东全省距离台湾省最近点，距高雄162海里，处于高雄、厦门、香港三大港口的中心点，地理位置独特，处于粤、闽、台三省交界海面，距西太平洋国际主航线7海里，素有“粤东屏障，粤闽咽喉”之称。',
    '港珠澳大桥的前身是原规划中的伶仃洋大桥。20世纪80年代初，中国香港、中国澳门与中国内地之间的陆地运输通道虽不断完善，但香港与珠江三角洲西岸地区的交通联系因伶仃洋的阻隔而受到限制；同世纪90年代末，受亚洲金融危机影响，香港特别行政区政府认为有必要尽快建设连接港珠澳三地的跨海通道，以发挥港澳优势，寻找新的经济增长点。',
    '广州塔又称广州新电视塔，昵称小蛮腰，其位于中国广东省广州市海珠区（艺洲岛）赤岗塔附近，距离珠江南岸125米，与珠江新城、花城广场、海心沙岛隔江相望。广州塔塔身主体高454米，天线桅杆高146米，总高度600米。是中国第一高塔，世界第四高塔，仅次于阿联酋迪拜哈利法塔（828米）、日本东京天空树电视塔(634米)、北达科他州KVLY电视塔（628.8米），是国家AAAA级旅游景区。'
]


export default class SpotIntroPanel extends Panel {
    public iconImage: eui.Image;
    public closeBtn: eui.Button;
    public introGroup: eui.Group;
    public introTxt: eui.Label;
    public spotNameTxt: eui.Label;

    public get skinKey() { return 'SpotIntroPanel' }
    public get groupName() { return 'spotintro_panel' }

    private spotIndex: number
    constructor(data: any) {
        super(data);
        this.spotIndex = (data && data.spotIndex) ? data.spotIndex : 0;
    }

    onSkinComplete(): void {
        super.onSkinComplete();

        this.once(egret.Event.ADDED_TO_STAGE, this.onLoad, this);
        if (this.stage) {
            this.onLoad();
        }
        this.showAct();
    }

    start(): void {
        this.percentHeight = 100;
    }

    initEvents(): void {
        super.initEvents();

    }

    removeEvents(): void {
        super.removeEvents();

    }

    private onLoad(): void {
        //景点图片
        this.iconImage.source = resources[this.spotIndex];
        //景点名称
        this.spotNameTxt.text = spotNames[this.spotIndex];
        //景点介绍
        this.introTxt.text = intros[this.spotIndex];
    }


}